=== debian/control ===
Source: libjpeg8
Maintainer: Bill Allombert <ballombe@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.8.4

Package: libjpeg8
Architecture: any
Section: libs
Description: The Independent JPEG Group's JPEG runtime library
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the shared library.
Depends: ${shlibs:Depends},${misc:Depends}

Package: libjpeg8-dev
Architecture: any
Section: libdevel
Description: Development files for the IJG JPEG library
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the static library, headers and documentation.
Depends: libjpeg8 (=${binary:Version}), libc-dev, ${misc:Depends}
Conflicts: libjpeg62-dev, libjpeg7-dev
Replaces: libjpeg62-dev, libjpeg7-dev

Package: libjpeg8-dbg
Architecture: any
Section: debug
Priority: extra
Description: Development files for the IJG JPEG library
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the debugging symbols for libjpeg.
Provides: libjpeg-dbg
Depends: libjpeg8 (=${binary:Version}), ${misc:Depends}
Replaces: libjpeg62-dbg, libjpeg7-dbg

Package: libjpeg-progs
Architecture: any
Description: Programs for manipulating JPEG files
 This package contains programs for manipulating JPEG files:
  cjpeg/djpeg: convert to/from the JPEG file format
  rdjpgcom/wrjpgcom: read/write comments in JPEG files
  jpegtran: lossless transformations of JPEG files
  jpegexiforient/exifautotran: manipulate EXIF orientation tag
Depends: ${shlibs:Depends}, ${misc:Depends}
