## libjpeg8 8c

=== debian/changelog ===
libjpeg8 (8c-2ubuntu2) oneiric; urgency=low

  * Convert to multiarch locations.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2011 18:51:29 +0200

libjpeg8 (8c-2ubuntu1) oneiric; urgency=low

  * Drop Provides: libjpeg-dev from libjpeg8-dev since we're not ready for
    the transition yet (LP: #818132)
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 29 Jul 2011 10:48:24 -0500

libjpeg8 (8c-2) unstable; urgency=low

  * The "Angèle" release
  * debian/control:
   - Bump standard version to 3.9.2.
   - Remove article from synopsys
   - Provides: libjpeg-dev
  * Do not install .la files. closes: #621517
  * debian/rules:
   - Add --disable-silent-rules to configure call.

 -- Bill Allombert <ballombe@debian.org>  Thu, 07 Jul 2011 10:48:52 +0200

libjpeg8 (8c-1) unstable; urgency=low

  * The "Mira" release
  * New upstream release
  * debian/extra/jpegexiforient.1:
    - Fix typo rigth/right and add missing comma. Thanks Calum Mackay.
      closes: #608614
  * Add minimal patch GIF-patent-expired to document expiration of GIF patent.
      Thanks Mathieu Malaterre.  closes: #528585
  * debian/control:
   - Bump standard version to 3.9.1.
  * debian/shlibs:
   - Change dependency to libjpeg8 (>= 8c)

 -- Bill Allombert <ballombe@debian.org>  Tue, 15 Feb 2011 10:44:26 +0100
