=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libjpeg8
-Maintainer: Bill Allombert <ballombe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 5), autotools-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: libjpeg8
 Architecture: any
 Section: libs
-Description: The Independent JPEG Group's JPEG runtime library
+Multi-Arch: same
+Description: Independent JPEG Group's JPEG runtime library
  The Independent JPEG Group's JPEG library is a library for handling
  JPEG files.
  .
@@ -18,6 +20,7 @@
 Package: libjpeg8-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Description: Development files for the IJG JPEG library
  The Independent JPEG Group's JPEG library is a library for handling
  JPEG files.
