## libjpeg8 8d

=== debian/changelog ===
libjpeg8 (8d-2) unstable; urgency=high

  * Apply upstream patch to fix CVE-2013-6629 and CVE-2013-6630. 
    closes: #729867.

 -- Bill Allombert <ballombe@debian.org>  Mon, 02 Dec 2013 23:11:23 +0100

libjpeg8 (8d-1) unstable; urgency=low

  * The "Lucas" release
  * New upstream release. closes: #655982
  * Apply Steve Langasek patch for multiarch support. closes: #636989

 -- Bill Allombert <ballombe@debian.org>  Sun, 29 Jan 2012 19:51:29 +0100
