=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libjpeg8
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Maintainer: Bill Allombert <ballombe@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 5), autotools-dev
@@ -15,6 +14,7 @@
  JPEG files.
  .
  This package contains the shared library.
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends},${misc:Depends}
 
 Package: libjpeg8-dev
@@ -29,6 +29,7 @@
 Depends: libjpeg8 (=${binary:Version}), libc-dev, ${misc:Depends}
 Conflicts: libjpeg62-dev, libjpeg7-dev
 Replaces: libjpeg62-dev, libjpeg7-dev
+Provides: libjpeg-dev
 
 Package: libjpeg8-dbg
 Architecture: any
