=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,11 @@
 endif
 
 #export DH_VERBOSE=1
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CC = gcc
+else
+CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
 
 build: build-stamp 
 build-stamp: 
@@ -29,7 +34,7 @@
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) check
 endif
-	$(MAKE) -C debian/extra
+	$(MAKE) -C debian/extra CC=$(CC)
 
 	touch build-stamp
 
@@ -52,8 +57,9 @@
 	$(MAKE) install -C debian/extra prefix=/usr DESTDIR=`pwd`/debian/tmp
 	# fix jconfig.h 
 	rm debian/tmp/usr/include/jconfig.h
+	mkdir debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
 	sed -e "s/#\(undef\|define\) HAVE_\(LOCALE\|\(STD\(DEF\|LIB\)\)\)_H 1//g" \
-		jconfig.h > debian/tmp/usr/include/jconfig.h
+		jconfig.h > debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/jconfig.h
 	# separate out lib package
 	dh_movefiles
 	# Finish it off with debhelper
