## libjpeg8 8d1

=== debian/changelog ===
libjpeg8 (8d1-1) unstable; urgency=low

  * The "Manoé" release
  * New bugfix upstream release
    - patch fix-CVE-2013-6629_6630: removed
  * new patch improve-jpegtran-manpages:
    - clarify jpegran behavior with exif images
      Suggested by Richard Laager. closes: #530780, #612546, #478787
  * debian/control, debian/rules:
    - Apply patch by Mauricio Faria de Oliveira to use dh_autoreconf
      closes: #751424
  * debian/control:
    - Bump standard version to 3.9.5.
  * debian/copyright:
    - Add new upstream URL
  * debian/watch: added
  * debian/rules:
    - Use dh_prep instead of dh_clean -k
    - Do not use -D_REENTRANT
    - Add -Wl,-z,relro to LDFLAGS
    - Install README.8d1

 -- Bill Allombert <ballombe@debian.org>  Sun, 29 Jun 2014 23:47:24 +0200
