=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Bill Allombert <ballombe@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 5), autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5), autotools-dev, dh-autoreconf, automake1.11
+Standards-Version: 3.9.5
 
 Package: libjpeg8
 Architecture: any
