=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
+#export DH_VERBOSE=1
 
 package=libjpeg
 
@@ -8,23 +9,23 @@
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-export CFLAGS=-D_REENTRANT -g -Wall -Wno-main
+
+export LDFLAGS=-Wl,-z,relro
+export CFLAGS=-g -Wall -Wno-main
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
 CFLAGS += -O2
 endif
 
-#export DH_VERBOSE=1
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CC = gcc
-else
-CC = $(DEB_HOST_GNU_TYPE)-gcc
-endif
+export AUTOMAKE = automake-1.11
+export ACLOCAL = aclocal-1.11
+export AUTOHEADER = true
 
 build: build-stamp 
 build-stamp: 
 	dh_testdir
+	dh_autoreconf
 	./configure --prefix=/usr --mandir=/usr/share/man \
 	 --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	 --enable-static --enable-shared \
@@ -34,8 +35,8 @@
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) check
 endif
-	$(MAKE) -C debian/extra CC=$(CC)
-
+	$(MAKE) -C debian/extra CC="$(DEB_HOST_GNU_TYPE)-gcc"\
+                   CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 	touch build-stamp
 
 clean:
@@ -44,6 +45,7 @@
 	-rm -f build-stamp
 	if [ -f Makefile ]; then $(MAKE) distclean; fi
 	$(MAKE) clean -C debian/extra
+	dh_autoreconf_clean
 	dh_clean
 
 binary-indep: 
@@ -51,7 +53,7 @@
 binary-arch: build
 	dh_testdir 
 	dh_testroot 
-	dh_clean -k
+	dh_prep
 	dh_installdirs 
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 	$(MAKE) install -C debian/extra prefix=/usr DESTDIR=`pwd`/debian/tmp
@@ -63,7 +65,7 @@
 	# separate out lib package
 	dh_movefiles
 	# Finish it off with debhelper
-	dh_installdocs README
+	dh_installdocs README README.8d1
 	dh_installexamples 
 	dh_installchangelogs change.log
 	dh_strip --dbg-package=libjpeg8-dbg
