## libjpeg8 8d2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 5), autotools-dev, dh-autoreconf, automake1.11
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: libjpeg8
 Architecture: any
@@ -29,7 +29,6 @@
 Depends: libjpeg8 (=${binary:Version}), libc-dev, ${misc:Depends}
 Conflicts: libjpeg62-dev, libjpeg7-dev
 Replaces: libjpeg62-dev, libjpeg7-dev
-Provides: libjpeg-dev
 
 Package: libjpeg8-dbg
 Architecture: any
@@ -43,13 +42,3 @@
 Provides: libjpeg-dbg
 Depends: libjpeg8 (=${binary:Version}), ${misc:Depends}
 Replaces: libjpeg62-dbg, libjpeg7-dbg
-
-Package: libjpeg-progs
-Architecture: any
-Description: Programs for manipulating JPEG files
- This package contains programs for manipulating JPEG files:
-  cjpeg/djpeg: convert to/from the JPEG file format
-  rdjpgcom/wrjpgcom: read/write comments in JPEG files
-  jpegtran: lossless transformations of JPEG files
-  jpegexiforient/exifautotran: manipulate EXIF orientation tag
-Depends: ${shlibs:Depends}, ${misc:Depends}
